Subject: WG: PROPFIND allprop with more properties (was AW: Resource class)

From: "Stefan Eissing" <[email-masked]>
Date: Mon, 14 May 2001 16:50:18 +0200

> Von: [email-masked]
> [mailto:[email-masked]]Im Auftrag von
> [email-masked]
>
> "Stefan Eissing" <[email-masked]>
> > This touches on an issue I (the guy with the webdav [maybe caching
> > a little] proxy) have with discovering type and status of a WebDAV
> resource.
>
> "maybe caching a little" <g>
;)

> >[...]
> No.  DeltaV defines those properties so if there is no DeltaV the client
> would use some other way to distinguish a resource's classification as
> written in whatever spec. they are probing for.

Thanks for the clarification.

> > If not, does OPTIONS then remain a better place to look for methods?
>
> Pass -- we've been round that loop a few times.  Geoff has written it both
> ways, probably more than once.

I've read up on it in the mailing list archive. The argument goes that
a) Depth header makes it more efficient and
b) doing it in one PROPFIND make it consistent

Now for a proxy with a little bit of caching, this is the way
to go. But then, oops, I found that the versioning properties did
vanish from PROPFIND/allprop in revision 14.1 of the draft.

With the current state of things, I'd have to do 2 PROPFINDS (one
allprop to catch all dead properties, one specific DAV:supported*
to know about versioning and resource status).

Has it been discussed already (could not find it in the archive) to
enhance allprop by allowing the client to specify additional properties?
This would make the body of a PROPFIND look like

<propfind xmlns="DAV:">
  <allprop>
  <prop>
    <supported-method-set/>
    <supported-live-property-set/>
  </prop>
</propfind>

and the result would be the joined set of a PROPFIND/allprop
and PROPFIND/prop.

(The only related thing I could find was the "WebDAV PROPFIND
Extension To List Specified Namespaces" Draft from August 1999.
Which is a nice draft, but I assume it is too late to move the
versioning props into a separate namespace...)

Stefan